Index: /XIOS/trunk/src/type/type_util.hpp
===================================================================
--- /XIOS/trunk/src/type/type_util.hpp	(revision 1536)
+++ /XIOS/trunk/src/type/type_util.hpp	(revision 1537)
@@ -38,4 +38,6 @@
     class CReduceDomainToAxis;
     class CReduceDomainToAxisGroup;
+    class CReduceAxisToAxis;
+    class CReduceAxisToAxisGroup;
     class CExtractDomainToAxis;
     class CExtractDomainToAxisGroup;
@@ -48,5 +50,13 @@
     class CReduceDomainToScalar;
     class CReduceDomainToScalarGroup;
-
+    class CTemporalSplitting;
+    class CTemporalSplittingGroup;
+    class CDuplicateScalarToAxis;
+    class CDuplicateScalarToAxisGroup;
+    class CReduceScalarToScalar;
+    class CReduceScalarToScalarGroup;
+    class CReorderDomain;
+    class CReorderDomainGroup;
+     
   template <typename T> inline string getStrType(void);
 
@@ -102,4 +112,6 @@
   macro(CReduceDomainToAxis)
   macro(CReduceDomainToAxisGroup)
+  macro(CReduceAxisToAxis)
+  macro(CReduceAxisToAxisGroup)
   macro(CExtractDomainToAxis)
   macro(CExtractDomainToAxisGroup)
@@ -112,4 +124,12 @@
   macro(CReduceDomainToScalar)
   macro(CReduceDomainToScalarGroup)
+  macro(CTemporalSplitting)
+  macro(CTemporalSplittingGroup)
+  macro(CDuplicateScalarToAxis)
+  macro(CDuplicateScalarToAxisGroup)
+  macro(CReduceScalarToScalar)
+  macro(CReduceScalarToScalarGroup)
+  macro(CReorderDomain)
+  macro(CReorderDomainGroup)
   
 #undef macro
Index: /XIOS/trunk/src/xml_node.cpp
===================================================================
--- /XIOS/trunk/src/xml_node.cpp	(revision 1536)
+++ /XIOS/trunk/src/xml_node.cpp	(revision 1537)
@@ -1,3 +1,4 @@
 #include "xml_node.hpp"
+#include <boost/algorithm/string.hpp>
 
 namespace xios
@@ -26,5 +27,5 @@
          bool retvalue = false;
          for(rapidxml::xml_node<char> * nextElement = this->node->next_sibling();
-                                      ; nextElement = this->node->next_sibling())
+                                      ; nextElement = nextElement->next_sibling())
          {
             if (nextElement == NULL) break;
@@ -44,5 +45,5 @@
          if (nextElement != NULL)
          {
-            for(;;nextElement = this->node->next_sibling())
+            for(;;nextElement = nextElement->next_sibling())
             {
                if (nextElement == NULL) break;
@@ -67,5 +68,5 @@
          return (!retvalue);
       }
-
+/*
       bool CXMLNode::getContent(StdString & content)
       {
@@ -73,4 +74,21 @@
          content.assign(this->node->value(), this->node->value_size());
          return (true);
+      }
+*/
+      bool CXMLNode::getContent(StdString & content)
+      {
+         content="" ;
+         bool retvalue = false;
+         
+         rapidxml::xml_node<char> * nextElement = this->node->first_node();
+         while (nextElement != NULL)
+         {
+             if (nextElement->type() == rapidxml::node_data) content=content+std::string(nextElement->value(),nextElement->value_size());
+             nextElement = nextElement->next_sibling(); 
+         }
+         boost::algorithm::replace_all(content,"\n"," ") ;
+         boost::algorithm::trim(content) ;
+         if (content.size()==0) return false ;
+         else return true ;
       }
 
Index: /XIOS/trunk/src/xml_parser_decl.cpp
===================================================================
--- /XIOS/trunk/src/xml_parser_decl.cpp	(revision 1536)
+++ /XIOS/trunk/src/xml_parser_decl.cpp	(revision 1537)
@@ -28,4 +28,5 @@
     macro( ReduceAxisToScalar )
     macro( ReduceDomainToAxis )
+    macro( ReduceAxisToAxis )
     macro( ExtractDomainToAxis )
     macro( ComputeConnectivityDomain )
@@ -33,4 +34,8 @@
     macro( ExtractAxisToScalar )
     macro( ReduceDomainToScalar )
+    macro( TemporalSplitting )
+    macro( DuplicateScalarToAxis )
+    macro( ReduceScalarToScalar )
+    macro( ReorderDomain )
   }
 }
